#  Initiation à la programmation pour le traitement automatique des langues et les humanités numériques


## Exécution d'un notebook Jupyter

Un notebook Jupyter permet de combiner, dans un même document, des sections (cellules) en langue naturelle et des sections exécutables, écrites dans un langage de programmation (Python dans notre cas). Les notebooks Jupyter ont pour extension `.ipynb` et peuvent être exportés dans d'autres formats, HTML notamment. L'exécution de ces notebooks nécessite une application web, Jupyter Notebook, qui est capable de les manipuler (création, modification) et de les exécuter. Jupyter Notebook peut être utilisé sur le web, notamment via le site [mybinder.org](https://mybinder.org/), et en local, en installant l'application dédiée (via Anaconda par exemple).

## Solution à privilégier : utilisation du JupyterHub de l'Université

1. Téléchargez le notebook et enregistrez-le sur votre machine :
  - Cliquez sur le notebook souhaité ci-dessus, par exemple `1_Introduction.ipynb`
  - Cliquez sur le lien de téléchargement en haut à doite ⬇️
2. Allez sur JupyterHub, choisissez "Importer/Upload" pour uploader le notebook.

## Exécution des notebooks du cours sur mybinder

[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/git/https%3A%2F%2Fgit.unistra.fr%2Fdbernhard%2Fproghumanum/HEAD)

Le lien ci-dessus ouvre un environnement d'exécution interactif sur [mybinder.org](https://mybinder.org/)
La session ouverte est propre à chaque utilisateur et sera fermée automatiquement après 10 minutes d'inactivité.
Pour éviter de perdre votre travail, il est possible d'exporter le notebook au format `.ipynb` (`File > Download as > Noteboook`) et de l'enregistrer sur la machine, pour ensuite l'uploader à nouveau.

## Création d'un nouveau notebook sans installation locale

Pour créer un nouveau notebook vide (par exemple pour tester du code) :
- Se rendre sur le site [https://jupyter.org/try](https://jupyter.org/try)
- Sélectionner "Try Classic Notebook"
- Une fois que l'environnement est lancé, dans le menu sélectionner `File > New notebook`
- 🛎️ IMPORTANT : le notebook ne sera pas sauvegardé. Si vous souhaitez le sauvegarder pour le réutiliser ultérieurement :
  - `File > Download as Notebook (.ipynb)`
  - Pour ouvrir le Notebook à nouveau :
    - `File > Open...`
    - Puis cliquer sur `Upload` pour uploader le notebook


